## libvchan-xen 2.2.8

=== Makefile ===
RPMS_DIR=rpm/

VERSION := $(shell cat version)

DIST_DOM0 ?= fc18

help:
	@echo "make rpms                  -- generate binary rpm packages"
	@echo "make rpms-vm               -- generate binary rpm packages for VM"
	@echo "make rpms-dom0             -- generate binary rpm packages for Dom0"
	@echo "make update-repo-current   -- copy newly generated rpms to qubes yum repo"
	@echo "make update-repo-current-testing  -- same, but to -current-testing repo"
	@echo "make update-repo-unstable  -- same, but to -testing repo"
	@echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	@echo "make clean                 -- cleanup"

rpms: rpms-vm rpms-dom0

rpms-libs:
	rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/libvchan.spec
	rpm --addsign $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*.rpm

rpms-vm: rpms-libs

rpms-dom0: rpms-libs

update-repo-current:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/current/dom0/rpm/
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-current-testing:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/current-testing/dom0/rpm/
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-unstable:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/unstable/dom0/rpm/
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-installer:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*fc18*.rpm ../installer/yum/qubes-dom0/rpm/

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

all:
	$(MAKE) -C u2mfn
	$(MAKE) -C vchan -f Makefile.linux

install:
	install -D -m 0644 vchan/libvchan.h ${DESTDIR}/usr/include/libvchan.h
	install -D -m 0644 u2mfn/u2mfnlib.h ${DESTDIR}/usr/include/u2mfnlib.h
	install -D -m 0644 u2mfn/u2mfn-kernel.h ${DESTDIR}/usr/include/u2mfn-kernel.h
	install -D -m 0644 u2mfn/libu2mfn.so ${DESTDIR}/usr/lib/libu2mfn.so
	install -D -m 0644 vchan/libvchan.so ${DESTDIR}/usr/lib/libvchan.so

clean:
	make -C u2mfn clean
	make -C vchan -f Makefile.linux clean

=== u2mfn/Makefile ===
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

CC=gcc
CFLAGS=-g -Wall
all: libu2mfn.so

libu2mfn.so : u2mfnlib.o
	gcc -shared -o libu2mfn.so u2mfnlib.o
u2mfnlib.o: u2mfnlib.c
	gcc -fPIC -Wall -g -c u2mfnlib.c
clean:
	rm -f *.o *so *~ libu2mfn.so

=== debian/changelog ===
libvchan-xen (2.2.8) jessie; urgency=medium

  [ Davíð Steinn Geirsson ]
  * Add initial debian packaging

  [ Marek Marczykowski-Górecki ]
  * debian: change package name to libvchan-xen, split headers to -dev
    pkg
  * gitignore

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 28 Jul 2014 02:42:33 +0200

libvchan-xen (2.2.7) jessie; urgency=low

  * Initial Release.

 -- Davíð Steinn Geirsson <david@dsg.is>  Sun, 20 Apr 2014 19:18:18 +0000

=== debian/control ===
Source: libvchan-xen
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends: debhelper, quilt, libxen-dev
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
#Vcs-Git: git://git.debian.org/collab-maint/qubes-core-vchan-xen.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-core-vchan-xen.git;a=summary

Package: libvchan-xen
Architecture: any
Depends: libxenstore3.0, libxen-4.1 | libxen-4.3, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-core-vchan-xen
Description: Qubes Xen core libraries
 This package includes the libraries required for the higher-level Qubes
 daemons and tools.

Package: libvchan-xen-dev
Architecture: any
Conflicts: qubes-core-vchan-xen
Depends: libvchan-xen
Description: Developement files for Qubes libvchan communication library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(shell pwd)/debian/libvchan-xen

%:
	dh $@ 

override_dh_auto_build:
	make all

override_dh_auto_install:
	make install
	mkdir -p debian/libvchan-xen-dev/usr/include
	mv $(DESTDIR)/usr/include/*.h debian/libvchan-xen-dev/usr/include/

## libvchan-xen 2.2.9jessie1

=== pkgs/core-vchan-xen/Makefile ===
RPMS_DIR=rpm/

VERSION := $(shell cat version)

DIST_DOM0 ?= fc18

help:
	@echo "make rpms                  -- generate binary rpm packages"
	@echo "make rpms-vm               -- generate binary rpm packages for VM"
	@echo "make rpms-dom0             -- generate binary rpm packages for Dom0"
	@echo "make update-repo-current   -- copy newly generated rpms to qubes yum repo"
	@echo "make update-repo-current-testing  -- same, but to -current-testing repo"
	@echo "make update-repo-unstable  -- same, but to -testing repo"
	@echo "make update-repo-installer -- copy dom0 rpms to installer repo"
	@echo "make clean                 -- cleanup"

rpms: rpms-vm rpms-dom0

rpms-libs:
	rpmbuild --define "_rpmdir $(RPMS_DIR)" -bb rpm_spec/libvchan.spec
	rpm --addsign $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*.rpm

rpms-vm: rpms-libs

rpms-dom0: rpms-libs

update-repo-current:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/current/dom0/rpm/
	for vmrepo in ../yum/current-release/current/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-current-testing:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/current-testing/dom0/rpm/
	for vmrepo in ../yum/current-release/current-testing/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-unstable:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$(DIST_DOM0)*.rpm ../yum/current-release/unstable/dom0/rpm/
	for vmrepo in ../yum/current-release/unstable/vm/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

update-repo-installer:
	ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*fc18*.rpm ../installer/yum/qubes-dom0/rpm/

update-repo-template:
	for vmrepo in ../template-builder/yum_repo_qubes/* ; do \
		dist=$$(basename $$vmrepo) ;\
		ln -f $(RPMS_DIR)/x86_64/qubes-libvchan-$(VERSION)*$$dist*.rpm $$vmrepo/rpm/;\
	done

clean:
	make -C u2mfn clean
	make -C vchan -f Makefile.linux clean

=== debian/changelog ===
libvchan-xen (2.2.7devel7) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 17:05:08 +0200

libvchan-xen (2.2.7devel6) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 17:02:48 +0200

libvchan-xen (2.2.7devel5) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 05:00:24 +0200

libvchan-xen (2.2.7devel4) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 04:54:24 +0200

libvchan-xen (2.2.7devel3) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 04:53:21 +0200

libvchan-xen (2.2.7devel2) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 04:49:52 +0200

libvchan-xen (2.2.7devel1) jessie; urgency=medium

  * Test build

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 26 Jul 2014 04:49:22 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: libvchan-xen
 Architecture: any
-Depends: libxenstore3.0, libxen-4.1 | libxen-4.3, ${shlibs:Depends}, ${misc:Depends}
+Depends: libxenstore3.0, libxen-4.1 | libxen-4.3 | libxen-4.4, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-core-vchan-xen
 Description: Qubes Xen core libraries
  This package includes the libraries required for the higher-level Qubes

## libvchan-xen 4.0.6

=== debian/changelog ===
libvchan-xen (4.0.6-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 09 Sep 2019 04:48:45 +0200

libvchan-xen (4.0.6-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * Drop obsolete make targets
  * Make the makefile more flexible, introduce PREFIX, LIBDIR,
    INCLUDEDIR
  * rpm: make use of improved make file
  * debian: make use of more flexible makefile
  * travis: add fc30, switch to xenial

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Sep 2019 04:48:45 +0200

libvchan-xen (4.0.5-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 09 Oct 2018 20:28:20 +0200

libvchan-xen (4.0.4-1) unstable; urgency=medium

  * rpm: add BR: gcc
  * travis: update Fedora and Debian versions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 08 Oct 2018 22:50:37 +0200

libvchan-xen (4.0.3-1) unstable; urgency=medium

  * windows: update for vs2017

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 11 Jul 2018 16:27:02 +0200

libvchan-xen (4.0.2-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Adjust snprintf string limit

  [ Frédéric Pierret ]
  * Create spec.in and Source0
  * Remove _builddir
  * spec.in: add changelog placeholder

  [ Marek Marczykowski-Górecki ]
  * travis: update for R4.0, bump Fedora versions
  * travis: add centos7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 03 May 2018 01:12:58 +0200

libvchan-xen (4.0.1-1) unstable; urgency=medium

  [ Ilpo Järvinen ]
  * Typo fix to description

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 27 Feb 2018 15:16:33 +0100

libvchan-xen (4.0.0-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 05 Aug 2017 11:26:14 +0200

libvchan-xen (3.2.1-1) unstable; urgency=medium

  * Don't require xen-devel when building other packages linked with
    vchan
  * travis: drop debootstrap workaround
  * Cleanup empty xenstore directory after removing connection data

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Apr 2017 13:52:30 +0200

libvchan-xen (3.2.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * travis: initial version

  [ WetwareLabs ]
  * Fix building for Xen 4.7.0
  * Add libxenctlr dependency
  * Move libxenctrl dependency to Makefile

  [ Marek Marczykowski-Górecki ]
  * Allow building with Xen 4.6 and 4.7

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Sep 2016 01:29:39 +0200

libvchan-xen (3.1.0-1) wheezy; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * studom: fix building with Xen 4.6
  * Remove redundant link option
  * debian: do not depend on specific Xen version

  [ Rafał Wojdyła ]
  * windows: update for pvdriver changes
  * windows: update logger type
  * windows: automatic VS project formatting
  * windows: define meaningful perror() in vchan-test
  * windows: return ERROR_NOT_SUPPORTED if xeniface is unavailable

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 28 Nov 2015 14:44:50 +0100

libvchan-xen (3.0.8-1) wheezy; urgency=medium

  [ Rafał Wojdyła ]
  * windows: don't close invalid handles
  * windows: support logging using xeniface logger
  * windows: account for xenstore watches being triggered immediately
    after creation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 09 Aug 2015 05:11:24 +0200

libvchan-xen (3.0.7-1) wheezy; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 08 Aug 2015 05:05:12 +0200

libvchan-xen (3.0.6-1) wheezy; urgency=medium

  [ Wojtek Porczyk ]
  * spec: -devel Requires: xen-devel

  [ Olivier MEDOC ]
  * archlinux: Change library name to match QubesR3 name

  [ Wojtek Porczyk ]
  * debian/control: libvchan-xen-dev Depends: libxen-dev

  [ Marek Marczykowski-Górecki ]
  * Add test program
  * Ignore EINTR in libvchan_wait

  [ Rafał Wojdyła ]
  * windows: update for new pvdrivers
  * windows: fixed signing
  * windows: added test program
  * windows: updated gitignore
  * windows: moved common property sheet
  * windos: removed default sign/wix scripts
  * enabled code analysis on debug build
  * windows: close xeninterface on client close
  * windows: allow libvchan_close on null control struct
  * windows: share more common properties in projects
  * windows: installer cleanup
  * windows: prevent installer name collision

  [ Marek Marczykowski-Górecki ]
  * windows: fix libvchan_close(NULL) handling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Jul 2015 07:07:18 +0200

libvchan-xen (3.0.5-1) wheezy; urgency=medium

  * Rearrange error handling in libvchan_client_init, no functional
    change
  * Do not use global xc_interface, open separate one for each vchan
    connection
  * Simplify watch loop in libvchan_client_init

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 03 May 2015 13:10:28 +0200

libvchan-xen (3.0.4-1) wheezy; urgency=medium

  * Check if remote domain is still alive

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 28 Apr 2015 13:22:00 +0200

libvchan-xen (3.0.3-1) wheezy; urgency=medium

  * rpm: remove duplicated Group: header

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 11 Apr 2015 03:08:10 +0200

libvchan-xen (3.0.2-1) wheezy; urgency=medium

  * Provide description of libxenvchan_is_open return values
  * client: watch for remote domain shutdown during client
    initialization

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 01 Apr 2015 00:10:14 +0200

libvchan-xen (3.0.1-1) wheezy; urgency=medium

  [ Jason Mehring ]
  * debian: Converted Debian packaging to quilt to allow patches
  * debian: Refactor Debian quilt packaging


## libvchan-xen 4.0.7

=== test/Makefile ===

CC=gcc
CFLAGS=-g -Wall -Wextra -Werror -fPIC -O2 -I../vchan
all: node node-select

node:	node.o
	gcc -g -o node node.o -L../vchan -lvchan-xen
node-select:	node-select.o
	gcc -g -o node-select node-select.o -L../vchan -lvchan-xen
clean:
	rm -f *.o node node-select

=== u2mfn/Makefile ===
--- 
+++ 
@@ -19,14 +19,14 @@
 #
 #
 
-CC=gcc
-CFLAGS=-g -Wall
+CC ?= gcc
+CFLAGS += -g -Wall
 all: libu2mfn.so
 
 libu2mfn.so : u2mfnlib.o
-	gcc -shared -o libu2mfn.so u2mfnlib.o
+	$(CC) $(LDFLAGS) -shared -o libu2mfn.so u2mfnlib.o
 u2mfnlib.o: u2mfnlib.c
-	gcc -fPIC -Wall -g -c u2mfnlib.c
+	$(CC) $(CFLAGS) -fPIC -c u2mfnlib.c
 clean:
 	rm -f *.o *so *~ libu2mfn.so

=== debian/changelog ===
libvchan-xen (4.0.7-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 21 Sep 2019 03:53:09 +0200

libvchan-xen (4.0.7-1) unstable; urgency=medium

  * rpm: use %set_build_flags macro only when present
  * Check if domain is alive using domctl

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Sep 2019 03:53:09 +0200

## libvchan-xen 4.0.8

=== debian/changelog ===
libvchan-xen (4.0.8-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 29 Apr 2020 10:58:11 +0200

libvchan-xen (4.0.8-1) wheezy; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 29 Apr 2020 10:58:11 +0200

## libvchan-xen 4.0.9

=== debian/changelog ===
libvchan-xen (4.0.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 16 May 2021 01:38:34 +0200

libvchan-xen (4.0.9-1) wheezy; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 16 May 2021 01:38:34 +0200

## libvchan-xen 4.1.0

=== Makefile ===
--- 
+++ 
@@ -59,11 +59,12 @@
 	$(MAKE) -C vchan -f Makefile.linux
 
 install:
-	install -D -m 0644 vchan/libvchan.h ${DESTDIR}/usr/include/libvchan.h
+	install -D -m 0644 vchan/libvchan.h ${DESTDIR}/usr/include/vchan-xen/libvchan.h
 	install -D -m 0644 u2mfn/u2mfnlib.h ${DESTDIR}/usr/include/u2mfnlib.h
 	install -D -m 0644 u2mfn/u2mfn-kernel.h ${DESTDIR}/usr/include/u2mfn-kernel.h
+	install -D -m 0644 vchan/vchan-xen.pc ${DESTDIR}/usr/lib/pkgconfig/vchan-xen.pc
 	install -D -m 0644 u2mfn/libu2mfn.so ${DESTDIR}/usr/lib/libu2mfn.so
-	install -D -m 0644 vchan/libvchan.so ${DESTDIR}/usr/lib/libvchan.so
+	install -D -m 0644 vchan/libvchan-xen.so ${DESTDIR}/usr/lib/libvchan-xen.so
 
 clean:
 	make -C u2mfn clean

=== debian/changelog ===
libvchan-xen (4.1.0-1+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 27 Feb 2019 02:48:47 +0100

libvchan-xen (4.1.0-1) unstable; urgency=medium

  * debian: don't create orig.tar.gz manually
  * debian: add autotools-dev to build-depends
  * travis: update to R4.1

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 27 Feb 2019 02:48:47 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DESTDIR=$(shell pwd)/debian/tmp

%:
	dh $@ --with autotools-dev

override_dh_auto_build:
	(cd u2mfn; make)
	(cd vchan; make -f Makefile.linux)

## libvchan-xen 4.1.1

=== debian/changelog ===
libvchan-xen (4.1.1-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 09 Sep 2019 04:25:31 +0200

libvchan-xen (4.1.1-1) unstable; urgency=medium

  * Drop obsolete make targets
  * Make the makefile more flexible, introduce PREFIX, LIBDIR,
    INCLUDEDIR
  * rpm: make use of improved make file
  * debian: make use of more flexible makefile
  * travis: update distributions

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Sep 2019 04:25:31 +0200

## libvchan-xen 4.1.2

=== debian/changelog ===
libvchan-xen (4.1.2-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 21 Sep 2019 03:53:38 +0200

libvchan-xen (4.1.2-1) unstable; urgency=medium

  * travis: switch to xenial
  * Check if domain is alive using domctl

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 21 Sep 2019 03:53:38 +0200

=== debian/control ===
Source: libvchan-xen
Section: libs
Priority: extra
Maintainer: Jason Mehring <nrgaway@gmail.com>
Build-Depends: debhelper, quilt, autotools-dev, libxen-dev
Standards-Version: 3.9.5
Homepage: http://www.qubes-os.org

Package: libvchan-xen
Section: libs
Architecture: amd64
Depends: libxenstore3.0, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-core-vchan-xen
Description: Qubes Xen core libraries
 This package includes the libraries required for the higher-level Qubes
 daemons and tools.

Package: libvchan-xen-dev
Section: libdevel
Architecture: amd64
Conflicts: qubes-core-vchan-xen
Depends: libvchan-xen (= ${binary:Version}), ${misc:Depends}
Description: Development files for Qubes libvchan communication library.

## libvchan-xen 4.1.3

=== debian/changelog ===
libvchan-xen (4.1.3-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 15 Oct 2019 03:05:34 +0200

libvchan-xen (4.1.3-1) unstable; urgency=medium

  * Rebuild for CentOS

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 15 Oct 2019 03:05:34 +0200

## libvchan-xen 4.1.4

=== Makefile ===
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include

help:
	@echo "make all                   -- build binaries"
	@echo "make clean                 -- cleanup"

all:
	$(MAKE) -C u2mfn
	$(MAKE) -C vchan -f Makefile.linux

install:
	install -D -m 0644 vchan/libvchan.h ${DESTDIR}$(INCLUDEDIR)/vchan-xen/libvchan.h
	install -D -m 0644 u2mfn/u2mfnlib.h ${DESTDIR}$(INCLUDEDIR)/u2mfnlib.h
	install -D -m 0644 u2mfn/u2mfn-kernel.h ${DESTDIR}$(INCLUDEDIR)/u2mfn-kernel.h
	install -D -m 0644 vchan/vchan-xen.pc ${DESTDIR}$(LIBDIR)/pkgconfig/vchan-xen.pc
	install -D u2mfn/libu2mfn.so ${DESTDIR}$(LIBDIR)/libu2mfn.so
	install -D vchan/libvchan-xen.so ${DESTDIR}$(LIBDIR)/libvchan-xen.so

clean:
	make -C u2mfn clean
	make -C vchan -f Makefile.linux clean

=== debian/changelog ===
libvchan-xen (4.1.4-1+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 31 Aug 2020 04:06:31 +0200

libvchan-xen (4.1.4-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * travis: switch to bionic
  * travis: switch to dom0 Fedora 31
  * Update travis

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 31 Aug 2020 04:06:31 +0200

## libvchan-xen 4.1.5

=== debian/changelog ===
libvchan-xen (4.1.5-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 19 Nov 2020 00:45:24 +0100

libvchan-xen (4.1.5-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Create symlink to vchan-xen.pc
  * archlinux: polish PKGBUILD
  * debian: provide generic libvchan{,-dev} packages
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * Remove u2mfn lib

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 19 Nov 2020 00:45:24 +0100

## libvchan-xen 4.1.6

=== debian/changelog ===
libvchan-xen (4.1.6-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 01 Dec 2020 06:17:13 +0100

libvchan-xen (4.1.6-1) unstable; urgency=medium

  * Include extra 'backend_vmm' variable in pkgconfig file

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 01 Dec 2020 06:17:13 +0100

## libvchan-xen 4.1.7

=== debian/changelog ===
libvchan-xen (4.1.7-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 31 Dec 2020 13:30:26 +0100

libvchan-xen (4.1.7-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * archlinux: fix missing symlink in refactor

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 31 Dec 2020 13:30:26 +0100

## libvchan-xen 4.1.8

=== Makefile ===
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include

help:
	@echo "make all                   -- build binaries"
	@echo "make clean                 -- cleanup"

all:
	$(MAKE) -C vchan -f Makefile.linux

install:
	install -D -m 0644 vchan/libvchan.h ${DESTDIR}$(INCLUDEDIR)/vchan-xen/libvchan.h
	install -D -m 0644 vchan/vchan-xen.pc ${DESTDIR}$(LIBDIR)/pkgconfig/vchan-xen.pc
	install -D vchan/libvchan-xen.so ${DESTDIR}$(LIBDIR)/libvchan-xen.so
	cd ${DESTDIR}$(LIBDIR)/pkgconfig && ln -s vchan-xen.pc vchan.pc

clean:
	make -C vchan -f Makefile.linux clean

=== debian/changelog ===
libvchan-xen (4.1.8-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 31 Aug 2022 09:33:23 +0200

libvchan-xen (4.1.8-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Make the code compile with MinGW
  * Add Makefile for MinGW build

  [ Mikhail Lukashov ]
  * windows: improve logging

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Marek Marczykowski-Górecki ]
  * ci: include windows build too

  [ Frédéric Pierret (fepitre) ]
  * Makefile.builder: restrict build for BACKEND_VMM=xen

  [ Demi Marie Obenour ]
  * Do not leak Xen control interface
  * Avoid leaks in libvchan_server_init()
  * libvchan_client_init(): avoid leaking resources
  * Include <stddef.h> before using size_t
  * Switch from select() to poll()
  * Add -D_FORTIFY_SOURCE=2 unconditionally

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 31 Aug 2022 09:33:23 +0200

## libvchan-xen 4.1.9

=== debian/changelog ===
libvchan-xen (4.1.9-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 11 Nov 2022 11:41:48 +0100

libvchan-xen (4.1.9-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow controlling the blocking flag of a vchan

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 11 Nov 2022 11:41:48 +0100

## libvchan-xen 4.1.10

=== debian/changelog ===
libvchan-xen (4.1.10-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 13 Nov 2022 00:00:45 +0100

libvchan-xen (4.1.10-1) wheezy; urgency=medium

  [ Demi Marie Obenour ]
  * Add missing <stdbool.h> include
  * Avoid using reserved identifiers in macros
  * Better build system
  * Validate peer domain IDs
  * Validate port numbers

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 13 Nov 2022 00:00:45 +0100

## libvchan-xen 4.1.13

=== debian/changelog ===
libvchan-xen (4.1.13-1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Jan 2023 16:39:19 +0100

libvchan-xen (4.1.13-1) unstable; urgency=medium

  * debian: do not hardcode libxenstore version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 16:39:19 +0100

libvchan-xen (4.1.12-1) unstable; urgency=medium

  * debian: do not hardcode libxenstore version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Dec 2022 18:45:10 +0100

libvchan-xen (4.1.11-1) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Stricter domid validation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Dec 2022 02:29:24 +0100

## libvchan-xen 4.1.14

=== debian/changelog ===
libvchan-xen (4.1.14-1+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 30 Apr 2024 03:01:31 +0200

libvchan-xen (4.1.14-1) unstable; urgency=medium

  * archlinux: fix 'replaces' field
  * Drop forced -D_FORTIFY_SOURCE=2
  * ci: drop R4.2 test builds

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 30 Apr 2024 03:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
 Package: libvchan-xen
 Section: libs
 Architecture: amd64
-Depends: libxenstore3.0, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-core-vchan-xen
+Provides: libvchan
 Description: Qubes Xen core libraries
  This package includes the libraries required for the higher-level Qubes
  daemons and tools.
@@ -20,4 +21,5 @@
 Architecture: amd64
 Conflicts: qubes-core-vchan-xen
 Depends: libvchan-xen (= ${binary:Version}), ${misc:Depends}
+Provides: libvchan-dev
 Description: Development files for Qubes libvchan communication library.

## libvchan-xen 4.2.1

=== debian/changelog ===
libvchan-xen (4.2.1-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 25 Apr 2023 22:59:39 +0200

libvchan-xen (4.2.1-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Fix use after free detected by GCC 13

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * archlinux: support for new packaging in legacy builder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 25 Apr 2023 22:59:39 +0200

libvchan-xen (4.2.0-1) unstable; urgency=medium

  * Interface for async client connection
  * Make all the public function deal with half-open client vchan
  * Properly define soname
  * Link with libxenstore
  * debian: rename package for proper soname handling
  * debian: fail the build if files are missing
  * debian: bump compat level to 10

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 05:02:12 +0100

## libvchan-xen 4.2.3

=== debian/changelog ===
libvchan-xen (4.2.3-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 05 Feb 2024 05:17:55 +0100

libvchan-xen (4.2.3-1) unstable; urgency=medium

  * Support changed libxenctrl API in Xen 4.18.0
  * Fix parameters order in calloc call

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 05 Feb 2024 05:17:55 +0100

libvchan-xen (4.2.2-1) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * gitlab-ci: use CI_BRANCH_REF

  [ Demi Marie Obenour ]
  * Avoid mention of username "user"
  * Clobber already-existing symlinks
  * Remove pkg-config file in 'make clean'
  * Add missing -L${libdir} to pkg-config

  [ Marek Marczykowski-Górecki ]
  * rpm: fix missing ? in dist tag
  * rpm: move libvchan-xen.so to -devel package
  * rpm: add directory ownership
  * Drop forced -D_FORTIFY_SOURCE=2

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 Nov 2023 02:10:31 +0100

## libvchan-xen 4.2.4

=== debian/changelog ===
libvchan-xen (4.2.4-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sun, 18 Aug 2024 02:51:07 +0200

libvchan-xen (4.2.4-1) unstable; urgency=medium

  * 

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Aug 2024 02:51:07 +0200

## libvchan-xen 4.2.5

=== debian/changelog ===
libvchan-xen (4.2.5-1+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 30 Jan 2025 04:44:45 +0100

libvchan-xen (4.2.5-1) unstable; urgency=medium

  * Rebuild with Xen 4.19 in Trixie

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Jan 2025 04:44:45 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,13 @@
 export DESTDIR=$(shell pwd)/debian/tmp
 
 %:
-	dh $@ --with autotools-dev
+	dh $@
 
 override_dh_auto_build:
-	(cd u2mfn; make)
-	(cd vchan; make -f Makefile.linux)
+	make all LIBDIR=/usr/lib
+
+override_dh_auto_install:
+	make install LIBDIR=/usr/lib
+
+override_dh_missing:
+	dh_missing --fail-missing

## libvchan-xen 4.2.6

=== Makefile ===
PREFIX ?= /usr
LIBDIR ?= $(PREFIX)/lib
INCLUDEDIR ?= $(PREFIX)/include

help:
	@echo "make all                   -- build binaries"
	@echo "make clean                 -- cleanup"

all:
	$(MAKE) -C vchan -f Makefile.linux

install:
	$(MAKE) -C vchan -f Makefile.linux install

clean:
	make -C vchan -f Makefile.linux clean

=== windows/Makefile ===
OUTDIR = bin/$(ARCH)
CFLAGS += -Iinclude
LDFLAGS += -lxencontrol

all: $(OUTDIR) $(OUTDIR)/libvchan.dll

$(OUTDIR):
	mkdir -p $@

$(OUTDIR)/libvchan.dll: src/dllmain.c src/io.c src/init.c
	$(CC) $^ $(CFLAGS) $(LDFLAGS) -lxenvchan -shared -o $@

=== debian/changelog ===
libvchan-xen (4.2.6-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Thu, 30 Jan 2025 05:57:26 +0100

libvchan-xen (4.2.6-1) unstable; urgency=medium

  * debian: require pkg-config

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 30 Jan 2025 05:57:26 +0100

## libvchan-xen 4.2.7

=== debian/changelog ===
libvchan-xen (4.2.7-1+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Tue, 18 Mar 2025 20:37:21 +0100

libvchan-xen (4.2.7-1) unstable; urgency=medium

  [ Rafał Wojdyła ]
  * Update for Windows 10
  * readme: describe required env variables
  * Fix build script to run from different directories
  * Update gitignore
  * windows: remove 32bit build configurations
  * windows: remove unused Makefile
  * Support building from the installer
  * Make project outputs separate to eliminate postbuild copy overlap
  * vchan: properly set xencontrol log level
  * windows: remove unnecessary xenstore wait
  * windows: add libvchan_cleanup() for xenstore path removal
  * windows: fix vchan-test
  * windows: support builder v2
  * windows: update readme
  * windows: Fix local build
  * windows: update gitignore

  [ Marek Marczykowski-Górecki ]
  * ci: remove R4.1, add R4.3

  [ Rafał Wojdyła ]
  * windows: make libvchan_client_init() xenstore logic more clear

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 18 Mar 2025 20:37:21 +0100

## libvchan-xen 4.2.8

=== debian/changelog ===
libvchan-xen (4.2.8-1+deb13u1+devel2) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Fri, 02 Jan 2026 01:26:01 +0000

libvchan-xen (4.2.8-1) unstable; urgency=medium

  [ Rafał Wojdyła ]
  * windows: Fix local build, project cleanup

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 02 Jan 2026 02:21:41 +0100
